# Uses of Class
net.shibboleth.idp.profile.interceptor.ProfileInterceptorFlowDescriptor

Packages that use ProfileInterceptorFlowDescriptor
Package
Description
net.shibboleth.idp.consent.flow.ar.impl
Actions and flow descriptors related to attribute release consent.
net.shibboleth.idp.consent.flow.impl
Actions and flow descriptors related to consent.
net.shibboleth.idp.consent.logic.impl
Predicates and functions related to attribute consent.
net.shibboleth.idp.profile.context
Context classes for IdP-specific information needed by profile actions.
net.shibboleth.idp.profile.interceptor.impl
Implementation of a profile interceptor flow which executes other flows.

## Uses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.consent.flow.ar.impl

Subclasses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.consent.flow.ar.impl
Modifier and Type
Class
Description
`class`
`AttributeReleaseFlowDescriptor`
Descriptor for an attribute release flow.

## Uses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.consent.flow.impl

Subclasses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.consent.flow.impl
Modifier and Type
Class
Description
`class`
`ConsentFlowDescriptor`
Descriptor for a consent flow.

## Uses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.consent.logic.impl

Classes in net.shibboleth.idp.consent.logic.impl with type parameters of type ProfileInterceptorFlowDescriptor
Modifier and Type
Class
Description
`class`
`FlowDescriptorLookupFunction<T extends ProfileInterceptorFlowDescriptor>`
Function that returns a profile interceptor flow descriptor from a profile request context using a lookup strategy.

## Uses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.profile.context

Fields in net.shibboleth.idp.profile.context declared as ProfileInterceptorFlowDescriptor
Modifier and Type
Field
Description
`private ProfileInterceptorFlowDescriptor`
ProfileInterceptorContext.`attemptedFlow`
The last flow attempted.
Fields in net.shibboleth.idp.profile.context with type parameters of type ProfileInterceptorFlowDescriptor
Modifier and Type
Field
Description
`private final Map<String,ProfileInterceptorFlowDescriptor>`
ProfileInterceptorContext.`availableFlows`
Flows that need to be executed.
Methods in net.shibboleth.idp.profile.context that return ProfileInterceptorFlowDescriptor
Modifier and Type
Method
Description
`ProfileInterceptorFlowDescriptor`
ProfileInterceptorContext.`getAttemptedFlow()`
Get the last flow that was attempted.
Methods in net.shibboleth.idp.profile.context that return types with arguments of type ProfileInterceptorFlowDescriptor
Modifier and Type
Method
Description
`Map<String,ProfileInterceptorFlowDescriptor>`
ProfileInterceptorContext.`getAvailableFlows()`
Get the flows that are available to be executed.
Methods in net.shibboleth.idp.profile.context with parameters of type ProfileInterceptorFlowDescriptor
Modifier and Type
Method
Description
`void`
ProfileInterceptorContext.`setAttemptedFlow(ProfileInterceptorFlowDescriptor flow)`
Set the last flow that was attempted.

## Uses of ProfileInterceptorFlowDescriptor in net.shibboleth.idp.profile.interceptor.impl

Fields in net.shibboleth.idp.profile.interceptor.impl declared as ProfileInterceptorFlowDescriptor
Modifier and Type
Field
Description
`private ProfileInterceptorFlowDescriptor`
WriteProfileInterceptorResultToStorage.`flowDescriptor`
Flow descriptor.
Fields in net.shibboleth.idp.profile.interceptor.impl with type parameters of type ProfileInterceptorFlowDescriptor
Modifier and Type
Field
Description
`private Collection<ProfileInterceptorFlowDescriptor>`
PopulateProfileInterceptorContext.`availableFlows`
The flows to make available for possible use.
Methods in net.shibboleth.idp.profile.interceptor.impl that return ProfileInterceptorFlowDescriptor
Modifier and Type
Method
Description
`private ProfileInterceptorFlowDescriptor`
SelectProfileInterceptorFlow.`selectUnattemptedFlow(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Select the first potential flow not found in the completed flows collection, and that is applicable to the context.
Method parameters in net.shibboleth.idp.profile.interceptor.impl with type arguments of type ProfileInterceptorFlowDescriptor
Modifier and Type
Method
Description
`void`
PopulateProfileInterceptorContext.`setAvailableFlows(Collection<ProfileInterceptorFlowDescriptor> flows)`
Set the flows available for possible use.
Constructor parameters in net.shibboleth.idp.profile.interceptor.impl with type arguments of type ProfileInterceptorFlowDescriptor
Modifier
Constructor
Description
``
`ProfileInterceptorFlowDescriptorManager(Collection<ProfileInterceptorFlowDescriptor> freeObjects)`
Constructor.